parse_action_table

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.parser.java_cup
Class parse_action_table

    java.lang.Object
      weka.core.parser.java_cup.parse_action_table

    public class parse_action_table

extends java.lang.Object

This class represents the complete "action" table of the parser. It has one row for each state in the parse machine, and a column for each terminal symbol. Each entry in the table represents a shift, reduce, or an error.

Version:
  last updated: 11/25/95
Author:
  Scott Hudson
See Also:
  `parse_action`, `parse_action_row`

Field Summary
`parse_action_row[]` | `under_state` Actual array of rows, one per state.

Constructor Summary
`parse_action_table()` Simple constructor.

Method Summary
`void` | `check_reductions()` Check the table to ensure that all productions have been reduced.
`int` | `num_states()` How many rows/states are in the machine/table.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### under_state

    public parse_action_row[] under_state

  Actual array of rows, one per state.

Constructor Detail

### parse_action_table

    public parse_action_table()

  Simple constructor. All terminals, non-terminals, and productions must already have been entered, and the viable prefix recognizer should have been constructed before this is called.

Method Detail

### num_states

    public int num_states()

  How many rows/states are in the machine/table.

### check_reductions

    public void check_reductions()
                          throws internal_error

  Check the table to ensure that all productions have been reduced. Issue a warning message (to System.err) for each production that is never reduced.

  Throws:
    `internal_error`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD